Subject: Re: bug#22100: 'font-alias' breaks other xorg font packages when installed in a single profile

From: [email-masked] (Ludovic Courtès)
Date: Sat, 12 Dec 2015 18:37:39 +0100

Eric Bavier <[email-masked]> skribis:

> Since xorg-server lacks AFAIK any environment variables to set the font
> path we cannot consider moving fonts to namespaced directories.

Hmm.

> Instead, we might want to consider ignoring fonts.dir files from the
> union build if possible and then running mkfontsdir at profile creation
> time.

We could always do that but, shouldn’t we fix the X font server instead?
(Easier said than done, I admit, unless there are patches floating around.)

Thanks,
Ludo’.